SDL_SetWindowShape(3)

NAME
SDL_SetWindowShape - Set the shape of a transparent window.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_SetWindowShape(SDL_Window *window, SDL_Surface *shape);

DESCRIPTION
This sets the alpha channel of a transparent window and any fully transparent areas are also transparent to mouse clicks. If you are using something besides the SDL render API, then you are responsible for drawing the alpha channel of the window to match the shape alpha channel to get consistent cross-platform results.

The shape is copied inside this function, so you can free it afterwards. If your shape surface changes, you should call SDL_SetWindowShape() again to update the window. This is an expensive operation, so should be done sparingly.

The window must have been created with the SDL_WINDOW_TRANSPARENT flag.

FUNCTION PARAMETERS

window
    the window.

shape
    the surface representing the shape of the window, or NULL to remove any current shape.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.